Advice: PuTTY upgrade to address security vulnerabilities

Follow

Please be advised that a new version, 0.71, of PuTTY (a popular Windows ssh client) is now available.  This version addresses a number of security vulnerabilities.   It is strongly recommended you upgrade to this version.

PuTTY is available for download from

https://www.chiark.greenend.org.uk/~sgtatham/putty/latest.html.

Have more questions? Submit a request

Comments

Powered by Zendesk